#ifndef _STDAFX_H_
#define _STDAFX_H_

#ifdef _WIN32
#define NOMINMAX
#define WIN32_LEAN_AND_MEAN 
#include <windows.h>
#include <algorithm>

#define snprintf _snprintf

#include  <vcclr.h> // .net interop helpers
#endif // _WIN32

#include <sigc++/sigc++.h>
#include <glib.h>
#include <string>
#include <vector>
#include <stdexcept>
#include <stdarg.h>
#include <algorithm>
#include <map>
#include <list>
#include <sstream>
#include <cctype>
#include <pcre.h>
#include <algorithm>
#include <windows.h>

#define _USE_MATH_DEFINES
#include <math.h>

#include <gl/gl.h>
#include <cairo/cairo.h>
#include <cairo/cairo-pdf.h>
#include <cairo/cairo-ps.h>
#include <cairo/cairo-svg.h>

// project headers
#include <grtpp.h>
#include <mdc.h>

#include "grts/structs.app.h"
#include "grts/structs.db.h"
#include "grts/structs.db.mgmt.h"
#include "grts/structs.db.mysql.h"
#include "grts/structs.db.query.h"
#include "grts/structs.h"
#include "grts/structs.model.h"
#include "grts/structs.workbench.h"
#include "grts/structs.workbench.logical.h"
#include "grts/structs.workbench.model.h"
#include "grts/structs.workbench.model.reporting.h"
#include "grts/structs.workbench.physical.h"

#include "grti/plugin.h"
#include "grti/sqlgenerator.h"
#include "grti/wb_model_reporting.h"
#include "grti/wbvalidation.h"

#pragma warning(disable: 4793)  // 'vararg' causes native code generation

#endif // _STDAFX_H_
