//
//  WBOutputPanelController.h
//  MySQLWorkbench
//
//  Created by Alfredo Kojima on 21/Dec/08.
//  Copyright 2008 Sun Microsystems Inc. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GRTListDataSource.h"
#import "WBBasePanel.h"

namespace bec {
  class GRTManager;
}

@interface WBOutputPanelController : WBBasePanel
{
  IBOutlet NSSegmentedControl *viewSwitcher;
  IBOutlet NSTableView *messageTable;
  IBOutlet NSTextView *outputText;
  
  IBOutlet GRTListDataSource *messageDS;
  
  bec::GRTManager *_grtm;
}

- (void)setupWithGRTManager:(bec::GRTManager*)grtm;

- (IBAction)changeOutputView:(id)sender;

- (void)addOutputText:(NSString*)line;

- (void)refreshMessages;

@end
