/* 
 * © 2007-2008 MySQL AB, 2008-2009 Sun Microsystems, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef _RECORDSET_CDBC_STORAGE_H_
#define _RECORDSET_CDBC_STORAGE_H_


#include "wbpublic_public_interface.h"
#include "recordset_data_storage_be.h"
#include "cppdbc.h"


class WBPUBLICBACKEND_PUBLIC_FUNC Recordset_cdbc_storage : public Recordset_data_storage
{
public:
  Recordset_cdbc_storage(bec::GRTManager *grtm);
  virtual ~Recordset_cdbc_storage();

  void serialize(Recordset *rs);
  void unserialize(std::vector<std::string> &field_names, std::vector<std::string> &rs);

  void dbc_rs(sql::ResultSet *dbc_rs) { _dbc_rs= dbc_rs; }

private:
  sql::ResultSet *_dbc_rs;
};


#endif /* _RECORDSET_CDBC_STORAGE_ */
