#ifndef __GRT_MESSAGE_LIST_H__
#define __GRT_MESSAGE_LIST_H__

//#pragma make_public(::bec::MessageListBE)

namespace MySQL {
  namespace Grt {

    public ref class GrtMessageList : public ListModel
    {
    public:
      enum class Columns {
        Time= ::bec::MessageListBE::Time,
        Message = ::bec::MessageListBE::Message,
        Detail = ::bec::MessageListBE::Detail
      };

      GrtMessageList(::bec::MessageListBE *inn)
        : ListModel(inn)
      {}

      inline ::bec::MessageListBE *get_unmanaged_object()
      { return static_cast<::bec::MessageListBE *>(inner); }

      void clear()
      { get_unmanaged_object()->clear(); }
    };  

    public enum class Msg_type
    {
      MT_warning= grt::WarningMsg,
      MT_error= grt::ErrorMsg,
      MT_info= grt::InfoMsg,
      MT_progress= grt::ProgressMsg,
    };

  } // namespace Grt
} // namespace MySQL

#endif // __GRT_MESSAGE_LIST_H__