%module pymforms
%{
#include "mforms/mforms.h"


/// begin python specific stuff

void call_void_pycallable(PyObject *callable)
{
  PyObject_Call(callable, Py_None, NULL);
}

sigc::slot<void> pycall_void_fun(PyObject *callable)
{
  return sigc::bind(sigc::ptr_fun(call_void_pycallable), callable);
}

/// end python specific stuff

%}


%include "utilities.i"
%include "view.i"
%include "box.i"
%include "button.i"
%include "form.i"
