
//  ResultOk     =  1,
//  ResultCancel =  0,
//  ResultOther  = -1

namespace mforms
{
class Utilities
{
public:
  static int show_message(const std::string &title, const std::string &text,
                          const std::string &ok, const std::string &cancel="",
                          const std::string &other="");
  static int show_error(const std::string &title, const std::string &text,
                          const std::string &ok, const std::string &cancel="",
                          const std::string &other="");
  static int show_warning(const std::string &title, const std::string &text,
                          const std::string &ok, const std::string &cancel="",
                          const std::string &other="");
      
  static void set_clipboard_text(const std::string &text);
  static std::string get_clipboard_text();
  
  static void add_end_ok_cancel_buttons(mforms::Box *box, mforms::Button *ok, mforms::Button *cancel);
};
};
